Bug 456086 - Review request: hellanzb - Hands-free nzb downloader and post processor
Review request: hellanzb - Hands-free nzb downloader and post processor
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Erik van Pienbroek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-21 10:03 EDT by Conrad Meyer
Modified: 2008-08-11 19:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-11 19:52:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
erik-fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Conrad Meyer 2008-07-21 10:03:48 EDT
Spec URL: http://konradm.fedorapeople.org/fedora/SPECS/hellanzb.spec
SRPM URL: http://konradm.fedorapeople.org/fedora/SRPMS/hellanzb-0.13-3.fc9.src.rpm
Description:
Hellanzb is an easy to use application designed to retrieve nzb files
and fully process them. The goal being to make getting files from Usenet
as hands-free as possible. Once fully installed, all that's required
is moving an nzb file to the queue directory. The rest: downloading,
par-checking, un-raring, etc. is done automatically by hellanzb.
Comment 1 Erik van Pienbroek 2008-08-05 12:18:47 EDT
General comments:
* On a fresh installation, the program won't start:
  $ hellanzb 
  Could not find configuration file in the following dirs: ['/home/erik', '/usr/etc', '/home/erik/etc', '/home/erik']
* The program searches for config files in /usr/etc instead of /etc
* Can you patch the program so the contents of the README.Fedora file
  are shown on startup on environments where no config file is available yet ?
  This way, new users can get this program up-and-running faster

$ rpmlint hellanzb.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
$ rpmlint hellanzb-0.13-3.fc9.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint hellanzb-0.13-3.fc10.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ md5sum hellanzb-0.13.tar.gz 
d3510c6b1b2c7b935332a469fdc8e7e2  hellanzb-0.13.tar.gz
$ wget http://www.hellanzb.com/distfiles/hellanzb-0.13.tar.gz --quiet -O - | md5sum
d3510c6b1b2c7b935332a469fdc8e7e2  -

Compilation in mock fails, probably due to a missing BuildRequires:

Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.73995
+ umask 022
+ cd /builddir/build/BUILD
+ cd hellanzb-0.13
+ LANG=C
+ export LANG
+ unset DISPLAY
+ /usr/bin/python -c 'import setuptools; execfile("setup.py")' build
Traceback (most recent call last):
  File "<string>", line 1, in <module>
ImportError
:
No module named setuptools
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.73995 (%build)
    Bad exit status from /var/tmp/rpm-tmp.73995 (%build)

Review - python eggs:
[ OK! ] Must: Python eggs must be built from source. They cannot simply drop an egg from upstream into the proper directory.
[ OK! ] Must: Python eggs must not download any dependencies during the build process.
[ OK! ] Must: If egg-info files are generated by the modules build scripts they must be included in the package.
[ N/A ] Must: When building a compat package, it must install using easy_install -m so it won't conflict with the main package.
[ N/A ] Must: When building multiple versions (for a compat package) one of the packages must contain a default version that is usable via "import MODULE" with no prior setup.
[ N/A ] Should: A package which is used by another package via an egg interface should provide egg info. 

Review:
[ OK! ] MUST: rpmlint must be run on every package. The output should be posted in the review.
[ OK! ] MUST: The package must be named according to the Package Naming Guidelines .
[ OK! ] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption on Package Naming Guidelines .
[ OK! ] MUST: The package must meet the Packaging Guidelines .
[ OK! ] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[ OK! ] MUST: The License field in the package spec file must match the actual license.
[ OK! ] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[ OK! ] MUST: The spec file must be written in American English.
[ OK! ] MUST: The spec file for the package MUST be legible.
[ OK! ] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
[ OK! ] MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
[ N/A ] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[FALSE] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional.
[ N/A ] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[ N/A ] MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
[ N/A ] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package.
[ OK! ] MUST: A package must own all directories that it creates. 
[ OK! ] MUST: A package must not contain any duplicate files in the %files listing.
[ OK! ] MUST: Permissions on files must be set properly.
[ OK! ] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ).
[ OK! ] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines .
[ OK! ] MUST: The package must contain code, or permissable content.
[ N/A ] MUST: Large documentation files should go in a -doc subpackage.
[ N/A ] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[ N/A ] MUST: Header files must be in a -devel package.
[ N/A ] MUST: Static libraries must be in a -static package.
[ N/A ] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
[ N/A ] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[ N/A ] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
[ N/A ] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[ N/A ] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[ OK! ] MUST: Packages must not own files or directories already owned by other packages.
[ OK! ] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ). See Prepping BuildRoot For %install for details.
[ OK! ] MUST: All filenames in rpm packages must be valid UTF-8.
[ N/A ] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[ N/A ] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[FALSE] SHOULD: The reviewer should test that the package builds in mock. See MockTricks for details on how to do this.
[ N/A ] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[FALSE] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[ N/A ] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[ N/A ] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[ N/A ] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg.
[ N/A ] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.

To sum it up:
- The program should inform the user how it can be configured when no config file can be found
- The program looks in the folder /usr/etc for config files, this should be changed to /etc or removed
- Missing BuildRequires which make the package unable to build in mock
Comment 2 Conrad Meyer 2008-08-06 04:08:06 EDT
Thanks for your suggestion of dumping README.Fedora if no configuration is found; I believe I've added this and fixed the other issues in these new spec/srpms:

Spec URL: http://konradm.fedorapeople.org/fedora/SPECS/hellanzb.spec
SRPM URL: http://konradm.fedorapeople.org/fedora/SRPMS/hellanzb-0.13-4.fc9.src.rpm

Additionally it now builds in mock [0].

[0]: http://koji.fedoraproject.org/koji/taskinfo?taskID=761872
Comment 3 Erik van Pienbroek 2008-08-06 09:49:41 EDT
Some new comments:
* BuildRequires: python-setuptools-devel is actually unncessary, python-setuptools should be sufficient enough
* Why did you merge the unrar and the configuration patch? They both have different goals so they should be kept seperate
Comment 4 Conrad Meyer 2008-08-06 19:52:35 EDT
Fixed. Sorry for merging the two patches, that happened on accident and I've reversed it now.

Spec URL: http://konradm.fedorapeople.org/fedora/SPECS/hellanzb.spec
SRPM URL:
http://konradm.fedorapeople.org/fedora/SRPMS/hellanzb-0.13-5.fc9.src.rpm

Continues to build in mock.
Comment 5 Erik van Pienbroek 2008-08-08 06:55:13 EDT
****************************
*                          *
* This package is APPROVED *
*                          *
****************************
Comment 6 Conrad Meyer 2008-08-08 07:15:52 EDT
Many thanks for the careful and thorough review!

New Package CVS Request
=======================
Package Name: hellanzb
Short Description: Hands-free nzb downloader and post processor
Owners: konradm
Branches: EL-5 F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-08-09 21:06:15 EDT
cvs done.
Comment 8 Erik van Pienbroek 2008-08-11 19:52:25 EDT
Package has landed in Rawhide, closing ticket

Note You need to log in before you can comment on or make changes to this bug.